E2SCRUB(8)

NUME
e2scrub - verifică conținutul unui sistem de fișiere ext[234] montat

SINOPSIS
e2scrub [OPȚIUNE] PUNCT_MONTARE | DIPOZITIV

DESCRIERE
e2scrub încearcă să verifice (dar nu să repare) toate metadatele dintr-un sistem de fișiere ext[234] montat, dacă sistemul de fișiere se află pe un volum logic LVM. De asemenea, poate fi indicat dispozitivul de bloc al volumului logic LVM.

Acest program face o captură instantanee a volumului și efectuează o verificare a sistemului de fișiere pe această captură pentru a căuta erori de corupție. Grupul de volume LVM trebuie să aibă cel puțin 256 MB de spațiu nealocat pentru a fi dedicat instantaneei, altfel volumul logic va fi ignorat. Instantaneea va fi denumită lvname.e2scrub, iar udev nu se vor crea legături simbolice către aceasta sub /dev/disk. Se vor face toate încercările pentru a elimina instantaneele înainte de a rula e2scrub, dar într-o situație dificilă poate fi necesară eliminarea manuală a instantaneelor.

Dacă nu sunt găsite erori, fstrim poate fi apelat pe sistemul de fișiere, dacă acesta este montat. În cazul în care se găsesc erori, sistemul de fișiere va fi marcat ca având erori. Sistemul de fișiere trebuie scos din funcțiune și e2fsck trebuie rulat cât mai curând posibil, deoarece e2scrub nu repară corupțiile. Dacă sistemul de fișiere nu este reparat, e2fsck va fi rulat înainte de următoarea montare.

OPȚIUNI

-n  Afișează ce comenzi ar executa e2scrub pentru a verifica sistemul de fișiere. (Notă: comenzile nu vor fi de fapt executate; cu toate acestea, deoarece e2scrub trebuie să execute unele comenzi pentru a interoga sistemul pentru a determina ce comenzi ar fi executate, trebuie totuși să fie rulat ca root).

-r  Elimină instantaneea e2scrub și iese fără să verifice nimic.

-t  Rulează fstrim(1) pe sistemul de fișiere montat dacă nu se constată erori.

-V  Afișează informațiile despre versiune și iese.

COD DE IEȘIRE
Codurile de ieșire sunt aceleași ca în e2fsck(8)

CONSULTAȚI ȘI
e2fsck(8)

AUTOR
Darrick J. Wong <darrick.wong@oracle.com>

DREPTURI DE AUTOR
Drepturi de autor © 2018 Oracle. Licența este GPLv2+. <http://www.gnu.org/licenses/gpl-2.0.html>.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.